package com.zhentao.system.service.impl;


import com.zhentao.system.domain.Course;
import com.zhentao.system.mapper.CourseMapper;
import com.zhentao.system.service.CourseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author: wzy
 * @date: 2025/5/8 17:04
 */
@Service
public class CourseServiceImpl implements CourseService {
    @Autowired
    private CourseMapper courseMapper;
    @Override
    public List<Course> selectCourseList(Course course) {
        return courseMapper.selectCourseList(course);
    }

    @Override
    public List<Course> findById(Integer courseCategory) {
        return courseMapper.findById(courseCategory);
    }
}
